Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old 02-07-2024, 12:49 AM   #646
XavierZ
Junior Member
XavierZ began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Feb 2024
Device: Kindle OASIS 10th
Hi! I'm facing this warning and seeking help.

[QUOTE]calibre, version 7.3.0 (win32, embedded-python: True)
Tonnerre de Brest!: 发生了一个错误,请复制错误信息并到 GitHub 提交错误报告。

Starting job: 正在为《Openly, Honestly》生成X-Ray
Job: "正在为《Openly, Honestly》生成X-Ray" failed with error:
Traceback (most recent call last):
File "calibre\gui2\threaded_jobs.py", line 82, in start_work
File "calibre_plugins.worddumb.parse_job", line 202, in do_job
File "calibre_plugins.worddumb.utils", line 56, in run_subprocess
File "subprocess.py", line 571, in run
subprocess.CalledProcessError: Command '['D:\\Anaconda3\\python.exe', 'C:\\Users\\ZhengXi\\AppData\\Roaming\\calibre\\pl ugins\\WordDumb.zip', '{"book_id": 61, "book_path": "H:\\\\Calibre\\u4e66\\u5e93\\\\MM\\\\Bill Konigsberg\\\\Openly, Honestly (61)\\\\Openly, Honestly - Bill Konigsberg.mobi", "mi": null, "book_fmt": "MOBI", "book_lang": "en", "useragent": "WordDumb/3.30.0 (https://github.com/xxyzz/WordDumb)", "plugin_path": "C:\\\\Users\\\\ZhengXi\\\\AppData\\\\Roaming\\\\c alibre\\\\plugins\\\\WordDumb.zip", "spacy_model": "en_core_web_lg", "create_ww": false, "create_x": true, "asin": "BB30KWVJA8", "acr": "Openly,_Honestly", "revision": "90667ba3", "kfx_json": null, "mobi_html": null, "mobi_codec": "utf-8"}', '{"use_pos": true, "search_people": true, "model_size": "lg", "zh_wiki_variant": "cn", "fandom": "", "add_locator_map": true, "preferred_formats": ["MOBI", "AZW3", "EPUB", "AZW", "KFX"], "use_all_formats": false, "minimal_x_ray_count": 2, "en_ipa": "ga_ipa", "zh_ipa": "pinyin", "choose_format_manually": true, "wiktionary_gloss_lang": "en", "kindle_gloss_lang": "en", "use_gpu": false, "cuda": "cu121", "last_opened_kindle_lemmas_language": "en", "last_opened_wiktionary_lemmas_language": "ca", "use_wiktionary_for_kindle": false, "python_path": "D:\\\\Anaconda3\\\\python.exe", "ca_wiktionary_difficulty_limit": 5, "da_wiktionary_difficulty_limit": 5, "de_wiktionary_difficulty_limit": 5, "el_wiktionary_difficulty_limit": 5, "en_wiktionary_difficulty_limit": 5, "es_wiktionary_difficulty_limit": 5, "fi_wiktionary_difficulty_limit": 5, "fr_wiktionary_difficulty_limit": 5, "hr_wiktionary_difficulty_limit": 5, "it_wiktionary_difficulty_limit": 5, "ja_wiktionary_difficulty_limit": 5, "ko_wiktionary_difficulty_limit": 5, "lt_wiktionary_difficulty_limit": 5, "mk_wiktionary_difficulty_limit": 5, "nl_wiktionary_difficulty_limit": 5, "no_wiktionary_difficulty_limit": 5, "pl_wiktionary_difficulty_limit": 5, "pt_wiktionary_difficulty_limit": 5, "ro_wiktionary_difficulty_limit": 5, "ru_wiktionary_difficulty_limit": 5, "sl_wiktionary_difficulty_limit": 5, "sv_wiktionary_difficulty_limit": 5, "uk_wiktionary_difficulty_limit": 5, "zh_wiktionary_difficulty_limit": 5}']' returned non-zero exit status 1.

Called with args: (ParseJobData(book_id=61, book_path='H:\\Calibre书库\\MM\\Bill Konigsberg\\Openly, Honestly (61)\\Openly, Honestly - Bill Konigsberg.mobi', mi=<calibre.ebooks.metadata.book.base.Metadata object at 0x000001EE72B73B50>, book_fmt='MOBI', book_lang='en', useragent='WordDumb/3.30.0 (https://github.com/xxyzz/WordDumb)', plugin_path='C:\\Users\\ZhengXi\\AppData\\Roaming\ \calibre\\plugins\\WordDumb.zip', spacy_model='en_core_web_lg', create_ww=False, create_x=True, asin='BB30KWVJA8', acr='Openly,_Honestly', revision='90667ba3', kfx_json=None, mobi_html=None, mobi_codec='utf-8'),) {'notifications': <queue.Queue object at 0x000001EE72B35150>, 'abort': <threading.Event at 0x1ee72b340d0: unset>, 'log': <calibre.utils.logging.GUILog object at 0x000001EE72B37E10>}
Traceback (most recent call last):
File "C:\Users\ZhengXi\AppData\Roaming\calibre\plugins\ WordDumb.zip\dump_lemmas.py", line 5, in <module>
ImportError: attempted relative import with no known parent package

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\Anaconda3\lib\runpy.py", line 194, in _run_module_as_main
return _run_code(code, main_globals, None,
File "D:\Anaconda3\lib\runpy.py", line 87, in _run_code
exec(code, run_globals)
File "C:\Users\ZhengXi\AppData\Roaming\calibre\plugins\ WordDumb.zip\__main__.py", line 13, in <module>
File "<frozen importlib._bootstrap>", line 991, in _find_and_load
File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 655, in _load_unlocked
File "<frozen importlib._bootstrap>", line 618, in _load_backward_compatible
File "<frozen zipimport>", line 259, in load_module
File "C:\Users\ZhengXi\AppData\Roaming\calibre\plugins\ WordDumb.zip\dump_lemmas.py", line 13, in <module>
File "<frozen importlib._bootstrap>", line 991, in _find_and_load
File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 655, in _load_unlocked
File "<frozen importlib._bootstrap>", line 618, in _load_backward_compatible
File "<frozen zipimport>", line 259, in load_module
File "C:\Users\ZhengXi\AppData\Roaming\calibre\plugins\ WordDumb.zip\utils.py", line 21, in <module>
File "C:\Users\ZhengXi\AppData\Roaming\calibre\plugins\ WordDumb.zip\utils.py", line 28, in Prefs
TypeError: 'type' object is not subscriptable
[/PHP]
XavierZ is offline   Reply With Quote
Old 02-08-2024, 08:48 AM   #647
xxyzz
Evangelist
xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.xxyzz ought to be getting tired of karma fortunes by now.
 
Posts: 403
Karma: 2666666
Join Date: Nov 2020
Device: none
You're probably using unsupported Python version, please see https://xxyzz.github.io/WordDumb/ins...n-3-11-and-pip

v3.31.0 is released: https://github.com/xxyzz/WordDumb/releases/tag/v3.31.0
xxyzz is offline   Reply With Quote
Old 02-09-2024, 02:38 PM   #648
beecom
Member
beecom can extract oil from cheesebeecom can extract oil from cheesebeecom can extract oil from cheesebeecom can extract oil from cheesebeecom can extract oil from cheesebeecom can extract oil from cheesebeecom can extract oil from cheesebeecom can extract oil from cheese
 
Posts: 20
Karma: 1000
Join Date: Jun 2022
Device: Kindle Oasis
I am using Kindle Scribe Firmware 5.16.6.1 and Calibre, version 7.5.1 worddumb-v3.31.0.
Worddumb works well with my Kindle Oasis,
But when Kindle scribe is connected to PC, everytime I click 'Customize Kindle Word Wise' button, I see this message:

Word Wise database not found: Can't find Word Wise database on your device, open a Word Wise enabled book to download this file.

But I do have downloaded a word wise enabled book and kll.en.en.klld file is in the kindle kll folder.
Anyway, after I do 'Create word wise', the files are copied to the document folder of the kindle but word wise is not enabled.
I tried KFX and AZW3 format, neither worked.

Some times, I got these :
C:\r\src\src\calibre\devices\mtp\windows\content_e numeration.cpp:710:Cannot write to file:[hr=0x80042009 wCode=7689] IDispatch error #7689

Traceback (most recent call last):
File "calibre\gui2\device.py", line 104, in run
File "calibre_plugins.worddumb.send_file", line 300, in mtp_upload_job
File "calibre\devices\mtp\windows\driver.py", line 35, in check_thread
File "calibre\devices\mtp\windows\driver.py", line 447, in put_file
wpd.WPDError: C:\r\src\src\calibre\devices\mtp\windows\content_e numeration.cpp:710:Cannot write to file:[hr=0x80042009 wCode=7689] IDispatch error #7689

or,

calibre, version 7.5.1
ERROR: Unhandled exception: <b>AttributeError</b>:'MTP_DEVICE' object has no attribute 'create_job'

calibre 7.5.1 embedded-python: True
Windows-10-10.0.19042-SP0 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.19042')
Python 3.11.5
Windows: ('10', '10.0.19042', 'SP0', 'Multiprocessor Free')
Interface language: None
EXE path: C:\Program Files\Calibre2\calibre.exe
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (2, 8, 1) && Package KFX (from KFX Input) (2, 8, 1) && KFX metadata reader (from KFX Input) (2, 8, 1) && From KFX (2, 8, 1) && KFX Input (2, 8, 1) && Set KFX metadata (from KFX Output) (2, 6, 1) && KFX Output (2, 6, 1) && WordDumb (3, 30, 0)
Traceback (most recent call last):
File "calibre_plugins.worddumb.config", line 279, in open_choose_lemma_lang_dialog
File "calibre_plugins.worddumb.custom_lemmas", line 71, in __init__
File "calibre_plugins.worddumb.custom_lemmas", line 87, in init_sql_table
File "calibre_plugins.worddumb.custom_lemmas", line 228, in check_empty_kindle_gloss
File "calibre_plugins.worddumb.send_file", line 244, in copy_klld_from_kindle
File "calibre_plugins.worddumb.send_file", line 307, in download_file_from_mtp
AttributeError: 'MTP_DEVICE' object has no attribute 'create_job'

I tried every version of worddumb from worddumb-v3.28.2 to worddumb-v3.31.0
None of them works. What would be the problem?

Last edited by beecom; 02-12-2024 at 06:14 AM.
beecom is offline   Reply With Quote
Reply

Tags
worddumb, x-ray

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[GUI Plugin] CalibreSpy DaltonST Plugins 244 01-27-2024 07:43 AM
[GUI Plugin] KindleUnpack - The Plugin DiapDealer Plugins 492 10-25-2022 09:13 AM
[GUI Plugin] Manga plugin mastertea Plugins 6 01-06-2022 03:43 AM
[GUI Plugin] Save Virtual Libraries To Column (GUI) chaley Plugins 14 04-04-2021 06:25 AM
[GUI Plugin] Plugin Updater **Deprecated** kiwidude Plugins 159 06-19-2011 01:27 PM


All times are GMT -4. The time now is 06:16 PM.


MobileRead.com is a privately owned, operated and funded community.